aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gnome
Commit message (Collapse)AuthorAgeFilesLines
* libchamplain: DEPENDS: add clutter-gtk & sort entries alphabeticalAndreas Mueller2010-10-201-1/+1
| | | | | | | | | | | | | | * configure on clean environment failed with checking for GTK... configure: error: Package requirements ( gtk+-2.0 >= 2.12 clutter-gtk-0.10 >= 0.10 ) were not met: No package 'clutter-gtk-0.10' found Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gedit_2.30.0: Set `LICENSE` to GPLv2+ for real.Paul Menzel2010-10-201-1/+1
| | | | | | | | | | | | | | Set In commit 860f29 [1] `LICENSE` was just set to `GPLv2` instead of `GPLv2+` in contrary to the commit message and the intention. Thanks for Andreas Oberritter to spotting this [2]. [1] http://cgit.openembedded.net/cgit.cgi/openembedded/commit/?h=master&id=860f2947b54a29becb4686261026c205bf3b9358 [2] http://lists.linuxtogo.org/pipermail/openembedded-devel/2010-October/025823.html Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gnome-games: update 2.30.x to 2.30.2 and add 2.32.0Koen Kooi2010-10-192-4/+183
|
* gnome-icon-theme: add 2.31.0Koen Kooi2010-10-181-0/+22
|
* gnome-screensaver: add 2.30.2Koen Kooi2010-10-171-0/+24
|
* system-tools-backends: update to 2.10.1 and make it work with libtool 2.4Koen Kooi2010-10-173-6/+8
|
* epiphany: fix EXTRA_OECONFKoen Kooi2010-10-141-2/+2
|
* gnome-bluetooth 2.30.0: bump PR for introspection changeKoen Kooi2010-10-141-2/+2
|
* libwnck 2.30.5: add missing dep on gobject-introspection-nativeKoen Kooi2010-10-131-1/+1
|
* libwnck: add 2.30.5Koen Kooi2010-10-131-0/+14
|
* gedit: add `gnome-doc-utils-native` to `DEPENDS`Andreas Mueller2010-10-121-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Otherwise task `do_compile` fails with the following error. `xml2po` is provided by `gnome-doc-utils-native`. | xsltproc -o gedit-C.omf --stringparam db2omf.basename gedit --stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.1.2//EN" --stringparam db2omf.lang C --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/gnome/help" --stringparam db2omf.omf_in "/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/gedit.omf.in" `/oe/build-minimal-eglibc/minimal-dev/sysroots/i686-linux/usr/bin/pkg-config --variable db2omf gnome-doc-utils` C/gedit.xml || { rm -f "gedit-C.omf"; exit 1; } | if ! test -d ar/; then mkdir ar/; fi | if ! test -d bg/; then mkdir bg/; fi | if ! test -d ca/; then mkdir ca/; fi | if [ -f "C/gedit.xml" ]; then d="../"; else d="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/"; fi; \ | mo="ar/ar.mo"; \ | if [ -f "${mo}" ]; then mo="../${mo}"; else mo="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/${mo}"; fi; \ | (cd ar/ && \ | `which xml2po` -m docbook -e -t "${mo}" \ | "${d}C/gedit.xml" > gedit.xml.tmp && \ | cp gedit.xml.tmp gedit.xml && rm -f gedit.xml.tmp) | if [ -f "C/gedit.xml" ]; then d="../"; else d="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/"; fi; \ | mo="ca/ca.mo"; \ | if [ -f "${mo}" ]; then mo="../${mo}"; else mo="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/${mo}"; fi; \ | (cd ca/ && \ | `which xml2po` -m docbook -e -t "${mo}" \ | "${d}C/gedit.xml" > gedit.xml.tmp && \ | cp gedit.xml.tmp gedit.xml && rm -f gedit.xml.tmp) | if [ -f "C/gedit.xml" ]; then d="../"; else d="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/"; fi; \ | mo="bg/bg.mo"; \ | if [ -f "${mo}" ]; then mo="../${mo}"; else mo="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/${mo}"; fi; \ | (cd bg/ && \ | `which xml2po` -m docbook -e -t "${mo}" \ | "${d}C/gedit.xml" > gedit.xml.tmp && \ | cp gedit.xml.tmp gedit.xml && rm -f gedit.xml.tmp) | /bin/sh: line 4: -m: command not found | /bin/sh: line 4: -m: command not found | make[2]: *** [ar/gedit.xml] Error 127 | make[2]: *** Waiting for unfinished jobs.... | make[2]: *** [ca/gedit.xml] Error 127 | /bin/sh: line 4: -m: command not found | make[2]: *** [bg/gedit.xml] Error 127 | compilation error: file C/gedit.xml line 19 element article | xsltParseStylesheetProcess : document is not a stylesheet | make[2]: *** [gedit-C.omf] Error 1 | make[2]: Leaving directory `/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help' | make[1]: *** [all-recursive] Error 1 | make[1]: Leaving directory `/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0' | make: *** [all] Error 2 | FATAL: oe_runmake failed | ERROR: Function do_compile failed NOTE: package gedit-2.30.0-r2: task do_compile: Failed ERROR: TaskFailed event exception, aborting ERROR: Build of /oe/openembedded/recipes/gnome/gedit_2.30.0.bb do_compile failed ERROR: Task 12 (/oe/openembedded/recipes/gnome/gedit_2.30.0.bb, do_compile) failed with 256 ERROR: '/oe/openembedded/recipes/gnome/gedit_2.30.0.bb' failed ERROR: '/oe/openembedded/recipes/gnome/gedit_2.30.0.bb' failed Build tested with `minimal-eglibc` for `MACHINE = "beagleboard"`. Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de> Acked-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gedit: add `enchant` to `DEPENDS`Andreas Mueller2010-10-121-1/+1
| | | | | | | | | | | | checking for ENCHANT... no configure: error: Enchant library not found or too old. Use --disable-spell to build without spell plugin. ERROR: Function do_configure failed I build tested this with `minimal-eglibc` for `MACHINE = "beagleboard"` and it fixes task `do_configure`. Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de> Acked-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gedit: GPLv2+ is the correct the `LICENSE`.Paul Menzel2010-10-121-1/+1
| | | | | | | | | | | `COPYING` [1] and the file headers, for example [2], say GPLv2+. Only `README` [3] just mentions GPLv2. [1] http://git.gnome.org/browse/gedit/tree/COPYING?id=dada4388aa0c33486a6d48ee1c8f2adac67abb01 [2] http://git.gnome.org/browse/gedit/tree/gedit/gedit-view-frame.c?id=dada4388aa0c33486a6d48ee1c8f2adac67abb01 [3] http://git.gnome.org/browse/gedit/tree/README?id=3fdf01ec9e0ac5f48d22e7e5d369c81fa357ea49 Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gedit: sort `DEPENDS` alphabeticallyPaul Menzel2010-10-121-1/+1
| | | | | Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-bluetooth-2.30.0: add missing x11, xi depsChris Larson2010-10-111-1/+1
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* epiphany-2.30.2: unbreak build by adding ca-certificates dependenciesSteffen Sledz2010-10-041-2/+4
| | | | | Signed-off-by: Steffen Sledz <sledz@dresearch.de> Acked-by: Koen Kooi <koen@openembedded.org>
* gvfs: bump PR for cdio changeKoen Kooi2010-10-031-1/+1
|
* gconf-native_2.6.1.bb: Converted to new style stagingFahad Usman2010-09-301-3/+7
| | | | | | | | | | * Converted do_stage to do_install. * Added NATIVE_INSTALL_WORKS = "1" * Added PR = "r1" Note: Not merging it into the non-native recipe as this is a dummy recipe and it does not need all the regular stuff. Signed-off-by: Fahad Usman <fahad_usman@mentor.com> Signed-off-by: Tom Rini <tom_rini@mentor.com>
* epiphany: bump PR for webkit changeKoen Kooi2010-09-241-1/+1
|
* gvfs: add missing libcdioKoen Kooi2010-09-231-1/+3
| | | | * spotted by the angstrom testlab: http://gitorious.org/angstrom/angstrom-testlab/commit/a87e64ae3fbe47b679712c5c873f21e56f325c8f
* libchamplain(-gtk): Bumped to 0.7.1 to meat actual clutterAndreas Mueller2010-09-073-25/+15
| | | | | | | | | | | | * builds separate packages for libchamplain and libchamplain-gtk * libchamplain_0.2.8 removed because it tries to configure against clutter-cairo which is no more available * libchamplain-gtk_0.2.8 removed because it configures against very old clutter revision which do not build for GLES environments Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de> Acked-by: Koen Kooi <k-kooi@ti.com> Signed-off-by: Koen Kooi <koen@openembedded.org>
* goffice: add 0.8.9Koen Kooi2010-09-021-0/+44
|
* gnome-doc-utils: Add dependency upon gettext-native.Graham Gower2010-09-011-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Failing log.do_configure: automake (GNU automake) 1.11.1 Copyright (C) 2009 Free Software Foundation, Inc. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Written by Tom Tromey <tromey@redhat.com> and Alexandre Duret-Lutz <adl@gnu.org>. AUTOV is 1.11 NOTE: Executing autoreconf --verbose --install --force --exclude=autopoint -I /mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/m4/ -I /mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/tools/ -I/mnt/oe/tmp/sysroots/x86_64-linux/usr/share/aclocal-1.11 -I /mnt/oe/tmp/sysroots/x86_64-linux/usr/share/aclocal autoreconf: Entering directory `.' autoreconf: configure.in: not using Gettext autoreconf: running: aclocal -I /mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/m4/ -I /mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/tools/ -I /mnt/oe/tmp/sysroots/x86_64-linux/usr/share/aclocal-1.11 -I /mnt/oe/tmp/sysroots/x86_64-linux/usr/share/aclocal -I /mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/m4/ -I /mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/tools/ -I /mnt/oe/tmp/sysroots/x86_64-linux/usr/share/aclocal-1.11 -I /mnt/oe/tmp/sysroots/x86_64-linux/usr/share/aclocal --force -I m4 configure.in:44: warning: AM_NLS is m4_require'd but not m4_defun'd /mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/m4/intltool.m4:27: IT_PROG_INTLTOOL is expanded from... configure.in:44: the top level autoreconf: configure.in: tracing configure.in:44: warning: AM_NLS is m4_require'd but not m4_defun'd aclocal.m4:1824: IT_PROG_INTLTOOL is expanded from... configure.in:44: the top level autoreconf: configure.in: not using Libtool autoreconf: running: /mnt/oe/tmp/sysroots/x86_64-linux/usr/bin/autoconf --include=/mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/m4/ --include=/mnt/oe/tmp/work/x86_64-linux/gnome-doc-utils-native-0.19.2-r5.2/gnome-doc-utils-0.19.2/tools/ --include=/mnt/oe/tmp/sysroots/x86_64-linux/usr/share/aclocal-1.11 --include=/mnt/oe/tmp/sysroots/x86_64-linux/usr/share/aclocal --force --warnings=cross configure.in:44: warning: AM_NLS is m4_require'd but not m4_defun'd aclocal.m4:1824: IT_PROG_INTLTOOL is expanded from... configure.in:44: the top level configure:3319: error: possibly undefined macro: AM_NLS If this token and others are legitimate, please use m4_pattern_allow. See the Autoconf documentation. autoreconf: /mnt/oe/tmp/sysroots/x86_64-linux/usr/bin/autoconf failed with exit status: 1 FATAL: autoreconf execution failed. Signed-off-by: Graham Gower <graham.gower@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gnome-games: disabled scrollkeeper in configureFrans Meulenbroeks2010-08-211-0/+2
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* libgnomecanvas: added dependency on xineramaprotoFrans Meulenbroeks2010-08-181-1/+2
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-utils: remove old versionsFrans Meulenbroeks2010-08-151-27/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-terminal: remove old versionsFrans Meulenbroeks2010-08-152-30/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-system-tools: remove old versionsFrans Meulenbroeks2010-08-152-39/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-system-monitor: remove old versionsFrans Meulenbroeks2010-08-153-82/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-settings-daemon: remove old versionsFrans Meulenbroeks2010-08-152-49/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-session: remove old versionsFrans Meulenbroeks2010-08-151-13/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-python: remove old versionsFrans Meulenbroeks2010-08-153-82/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-python-extras: remove old versionsFrans Meulenbroeks2010-08-151-21/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-python-desktop: remove old versionsFrans Meulenbroeks2010-08-151-26/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-power-manager: remove old versionsFrans Meulenbroeks2010-08-152-77/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-panel: remove old versionsFrans Meulenbroeks2010-08-158-170/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-mime-data: remove old versionsFrans Meulenbroeks2010-08-152-18/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-menus: remove old versionsFrans Meulenbroeks2010-08-156-74/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-media: remove old versionsFrans Meulenbroeks2010-08-151-31/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-keyring: remove old versionsFrans Meulenbroeks2010-08-157-121/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-games: remove old versionsFrans Meulenbroeks2010-08-153-307/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-dvb-daemon: remove old versionsFrans Meulenbroeks2010-08-152-59/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-doc-utils: remove old versionsFrans Meulenbroeks2010-08-153-18/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-desktop: remove old versionsFrans Meulenbroeks2010-08-158-88/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-cups-manager: remove old versionsFrans Meulenbroeks2010-08-151-16/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-control-center: remove old versionsFrans Meulenbroeks2010-08-152-58/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-common: remove old versionsFrans Meulenbroeks2010-08-153-12/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-bluetooth: remove old versionsFrans Meulenbroeks2010-08-152-39/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* gnome-applets: remove old versionsFrans Meulenbroeks2010-08-151-25/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* libart-lgpl: remove old versionsFrans Meulenbroeks2010-08-152-14/+0
| | | | Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>